/*
 * My container for the custom candidates bar
 */

package jonasl.ime;

import android.content.Context;

import android.util.DisplayMetrics;

import android.view.WindowManager;
import android.widget.LinearLayout;

public class Container extends LinearLayout {

	public Container(Context context) {
		super(context);		
	}
	
	@Override
	protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
		
		WindowManager winMgr = (WindowManager)getContext().getSystemService(Context.WINDOW_SERVICE);
    	DisplayMetrics metrics = new DisplayMetrics();
    	winMgr.getDefaultDisplay().getMetrics(metrics);
    	
    	boolean hires = metrics.widthPixels >= 800 || metrics.heightPixels >= 800;
    	
    	int w = metrics.widthPixels;
    	int h = hires ? 57 : 43;
    	
    	//Static.log("onMeasure " + w + " " + h);
		setMeasuredDimension(w, h);  
	}
}
