/* Used to fix some inconsistency bugs between Sense ROMs and vanilla ROMs */
package jonasl.ime;

import android.content.Context;
import android.os.Message;
import android.util.AttributeSet;

public class ExtractEditText2 extends
		android.inputmethodservice.ExtractEditText {

	public ExtractEditText2(Context context) {
		super(context);
	}

	public ExtractEditText2(Context context, AttributeSet attr) {
		super(context, attr);
	}

	@Override
	public void setEnabled(boolean enabled) {

		if (!enabled) {
			Static.eventHandler.removeMessages(2);
			Message msg = Message.obtain(Static.eventHandler, 2);
			Static.eventHandler.sendMessageDelayed(msg, 100);
		}

		super.setEnabled(true);
	}
	
}
