/* Do not use directly. Copy smali methods to the correct location in HTC code */
package jonasl.ime;

import android.inputmethodservice.InputMethodService;
import android.view.inputmethod.EditorInfo;

public class Service extends InputMethodService {

	@Override
	public void onComputeInsets(Insets outInsets) {

		// Stock
		super.onComputeInsets(outInsets);
		if (!isFullscreenMode()) {
			outInsets.contentTopInsets = outInsets.visibleTopInsets;
		}
	}

	@Override
	public void setCandidatesViewShown(boolean show) {
		super.setCandidatesViewShown(show && Static.showBar);
	}

	@Override
	public boolean onEvaluateFullscreenMode() {

		return Static.evaluateFullscreenMode();
	}

	@Override
	public void onUpdateExtractingViews(EditorInfo ei) {
		
		if(Static.isOwnPackage) {			
			return;
		}
			
		super.onUpdateExtractingViews(ei);
	}

}
